@mainpage Vuo API Documentation

> **Create memorable interactive experiences with [Vuo](https://vuo.org).**  
> Drag, drop, and connect Vuo's simple building blocks to support your creative work:  
> VJ gigs, exhibits, installations, stage productions, dome graphics, visual signage,  
> video effects, maker projects, trade show booths, and more.

Vuo comes with several resources for text-based programming:

   - [The Vuo SDK](https://vuo.org/releases), which includes:
      - The Vuo framework (including nodes, compiler, and runner)
      - [Command-line tools](https://doc.vuo.org/2.0.2/manual/the-command-line-tools.xhtml)
      - Example projects for [creating add-ons to Vuo](@ref DevelopingNodeClassesTypes)
      - Example projects for [using Vuo inside another application](@ref DevelopingApplications)
   - [Source code](https://github.com/vuo/vuo) for everything in the SDK, plus the Vuo editor
   - This API documentation

Before you read this API documentation, we recommend that you start by reading the [Vuo Manual](https://doc.vuo.org/latest/manual) to become familiar with how Vuo works. If you have questions about programming with Vuo, you can find help on the [Vuo Support](https://vuo.org/support) page.

Here are some good starting points in this API documentation: 

   - To create nodes for Vuo, see @ref DevelopingNodeClassesTypes.
   - To create add-ons for the Vuo editor, see @ref DevelopingInputEditors.
   - To run Vuo compositions inside another application, see @ref DevelopingApplications.

You can share your nodes in Vuo's [Node Gallery](https://vuo.org/nodes), or [make a pull request](https://github.com/vuo/vuo/pulls) to include them in Vuo itself.
